Package Details: batman-adv 1:2020.3-1

Git Clone URL: https://aur.archlinux.org/batman-adv.git (read-only, click to copy)
Package Base: batman-adv
Description: Batman kernel module
Upstream URL: https://www.open-mesh.net/
Licenses: GPL
Submitter: ilpianista
Maintainer: None
Last Packager: TheGoliath
Votes: 7
Popularity: 0.000000
First Submitted: 2011-06-07 09:26
Last Updated: 2020-10-02 21:32

Latest Comments

« First ‹ Previous 1 2 3 4 5

Anonymous comment on 2011-10-04 02:08

Actually, I don't think batctl is a dependency, it is possible to control batman without a special utility via /sys/class/net/bat0/mesh/

Try the following in the PKGBUILD:
depends=('kernel26>=2.6.29')
makedepends=('kernel26-headers>=2.6.29')

t-8ch commented on 2011-09-29 12:09

Done, it seems though that makepkg isn't able to handle versions of dependencies not provided directly.
So it only depends on kernel26-headers.

Anonymous comment on 2011-09-29 11:41

The README states that this should work on linux kernel >=2.6.29. I have successfully built and run this on kernel26 = 2.6.38. I suggest changing the changing the dependency 'linux-headers' to kernel26-headers >= 2.6.29.

ilpianista commented on 2011-06-07 09:26

* pushed for a friend. free to adopt it